Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.PSecPkgInfo

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.PSecPkgInfo

Direct Known Subclasses:
  Sspi.PSecPkgInfo.ByReference

Enclosing interface:
  Sspi

    public static class Sspi.PSecPkgInfo

extends com.sun.jna.Structure

A pointer to an array of SecPkgInfo structures.

Nested Class Summary
`static class` | `Sspi.PSecPkgInfo.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`Sspi.SecPkgInfo.ByReference` | `pPkgInfo` The first entry in an array of SecPkgInfo structures.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.PSecPkgInfo()`

Method Summary
`Sspi.SecPkgInfo.ByReference[]` | `toArray(int size)` An array of SecPkgInfo structures.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pPkgInfo

    public Sspi.SecPkgInfo.ByReference pPkgInfo

  The first entry in an array of SecPkgInfo structures.

Constructor Detail

### Sspi.PSecPkgInfo

    public Sspi.PSecPkgInfo()

Method Detail

### toArray

    public Sspi.SecPkgInfo.ByReference[] toArray(int size)

  An array of SecPkgInfo structures.

  Overrides:
    `toArray` in class `com.sun.jna.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD